Package org.apache.storm.submit.dependency

# Class AetherUtils

java.lang.Object
org.apache.storm.submit.dependency.AetherUtils

public class AetherUtils extends Object
Utility class of Aether.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `artifactToString(org.eclipse.aether.artifact.Artifact artifact)`
  Convert `Artifact` object to String for printing.
  `static org.eclipse.aether.graph.Exclusion`
  `createExclusion(String exclusionString)`
  Parses exclusion parameter and build `Exclusion` object.
  `static org.eclipse.aether.graph.Dependency`
  `parseDependency(String dependency)`
  Parses dependency parameter and build `Dependency` object.
  `static org.eclipse.aether.repository.RemoteRepository`
  `parseRemoteRepository(String repository)`
  Parses remote repository parameter and build `RemoteRepository` object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseDependency

    public static org.eclipse.aether.graph.Dependency parseDependency(String dependency)
    Parses dependency parameter and build `Dependency` object.
    Parameters:
      `dependency` - string representation of dependency parameter
    Returns:
      Dependency object

  - ### createExclusion

    public static org.eclipse.aether.graph.Exclusion createExclusion(String exclusionString)
    Parses exclusion parameter and build `Exclusion` object.
    Parameters:
      `exclusionString` - string representation of exclusion parameter
    Returns:
      Exclusion object

  - ### artifactToString

    public static String artifactToString(org.eclipse.aether.artifact.Artifact artifact)
    Convert `Artifact` object to String for printing.
    Parameters:
      `artifact` - Artifact object
    Returns:
      String representation of Artifact

  - ### parseRemoteRepository

    public static org.eclipse.aether.repository.RemoteRepository parseRemoteRepository(String repository)
    Parses remote repository parameter and build `RemoteRepository` object.
    Parameters:
      `repository` - string representation of remote repository parameter
    Returns:
      RemoteRepository object